﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace RegAuth
{
    /// <summary>
    /// Логика взаимодействия для Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        gr683_teoEntities db;
        public Window1()
        {
            InitializeComponent();
            db = new gr683_teoEntities();
        }

        private void RegClick(object sender, RoutedEventArgs e)
        {
            if (login.Text.Equals("") || password.Password.Equals("") || firstName.Text.Equals("") || lastName.Text.Equals(""))
            {
                MessageBox.Show("Не все обязательные поля заполнены");
                return;
            }
            if (db.Users.Select(item => item.Login).Contains(login.Text))
            {
                MessageBox.Show("Пользователь с таким именем уже существует");
                return;
            }

            Users newUser = new Users()
            {
                Login = login.Text,
                Password = password.Password,
                LastName = lastName.Text,
                FirstName = firstName.Text,
                MiddleName = middleName.Text
             };

            db.Users.Add(newUser);
            db.SaveChanges();
            MessageBox.Show("Вы успешно зарегестрировались");
            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();


        }

        private void CancelClick(object sender, RoutedEventArgs e)
        {

            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }

    }

   
}
